#ifndef _KDDIPHONESYSTEM_H_
#define _KDDIPHONESYSTEM_H_
/*======================================================
FILE:  KDDRIPHONESYSTEM.h

SERVICES:
   KDDI PHONESYSTEM Interface

DESCRIPTION:
   This file provides the interface specification for
   the KDDI PHONESYSTEM Interface

CLASS IDs:

NOTES:

DISTRIBUTION:
   This file is given in source to KDDI by Qualcomm

        Copyright  1999-2001 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR

   2002.11.20  ȉ̎dlɏĂ܂B
   Pj`dd ndldl        uPDO  QOOQNPPPW
   Qj`oh q    uPDO  QOOQNPPPW
   Rjndl q    uPDO  QOOQNPPPW

=====================================================*/
#include "AEE.h"
#include "KDDIPhoneSystem.bid"



//------------------------------------------------------------------------------
//  VXeK̓V{`
//
//------------------------------------------------------------------------------
#define KDDI_PHONENUMBER_MAX_LENGTH     0x10    // dbԍő咷
#define KDDI_PHONEID_LENGTH             0x09    // Ǘhc
#define KDDI_SUBSCRIBERID_LENGTH        0x40    // ړ@Ǘhc


//------------------------------------------------------------------------------
//  }i[[h
//  OEMKDDIPHONESYSTEM_GetMannerMode() Ŏ擾łl
//
//------------------------------------------------------------------------------
#define KDDI_MANNERMODE_OFF             0       // }i[[h OFF
#define KDDI_MANNERMODE_ON              1       // }i[[h ON

//------------------------------------------------------------------------------
//  dEx
//  OEMKDDIPHONESYSTEM_GetIntensity() Ŏ擾łl
//
//------------------------------------------------------------------------------
#define KDDI_INTENSITY_NONE             0       //  O    iO\ɑj
#define KDDI_INTENSITY_LOW              1       //  dE  ipicts̃Aei{=0{ ɑj
#define KDDI_INTENSITY_MIDDLE           2       //  dE  ipicts̃Aei{=1{ ɑj
#define KDDI_INTENSITY_HIGH             3       //  dE  ipicts̃Aei{=2{ ɑj
#define KDDI_INTENSITY_MAX              4       //  dEŋipicts̃Aei{=3{ ɑj

//------------------------------------------------------------------------------
//  drcʏ
//  OEMKDDIPHONESYSTEM_GetPowerSupplyLevel() Ŏ擾łl
//
//------------------------------------------------------------------------------
#define KDDI_POWERSUPPLY_EMPTY          0       // Ȃ
#define KDDI_POWERSUPPLY_LOW            1       // cʏ
#define KDDI_POWERSUPPLY_MIDDLE         2       // cʒ
#define KDDI_POWERSUPPLY_HIGH           3       // cʑ
#define KDDI_POWERSUPPLY_CHARGING       4       // [d

//------------------------------------------------------------------------------
//  OEMKDDIPHONESYSTEM_GetVibrationStatus() Ŏw肷
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_VIBRATOR_ONOFF,                        // T|[g̗L擾
    KDDI_VIBRATOR_PATERN,                       // oCu[^p^[擾
    KDDI_VIBRATOR_ATTRIBUTE_MAX                 // 擾ʂ̍ő吔
} KDDIVibrationType;

//------------------------------------------------------------------------------
//  OEMKDDIPHONESYSTEM_GetVibrationStatus()  KDDI_VIBRATOR_ONOFFw莞Ɏ擾łl
//
//------------------------------------------------------------------------------
#define KDDI_VIBRATION_OFF              0       // Unee
#define KDDI_VIBRATION_ON               1       // Unm

//------------------------------------------------------------------------------
//  OEMKDDIPHONESYSTEM_GetVibrationStatus()  KDDI_VIBRATION_PATERNw莞Ɏ擾łl
//
//------------------------------------------------------------------------------
#define KDDI_VIBRATION_DEFAULT_PATTERN  0       // Wp^[
#define KDDI_VIBRATION_PATTERN1         1       // p^[P
#define KDDI_VIBRATION_PATTERN2         2       // p^[Q
#define KDDI_VIBRATION_PATTERN3         3       // p^[R
#define KDDI_VIBRATION_PATTERN4         4       // p^[S
#define KDDI_VIBRATION_PATTERN5         5       // p^[T
#define KDDI_VIBRATION_PATTERN6         6       // p^[U
#define KDDI_VIBRATION_PATTERN7         7       // p^[V
#define KDDI_VIBRATION_PATTERN8         8       // p^[W

//------------------------------------------------------------------------------
//  enuḿCvCard`̃AhXR[h̃tB[h̎wɎgp܂D
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_ADDR_FIELD_NONE,                       // ŜƂɎgp
    KDDI_ADDR_FIELD_MEMORYNO,                   // ԍ
    KDDI_ADDR_FIELD_GROUPNO,                    // O[vԍ
    KDDI_ADDR_FIELD_SECRET,                     // V[NbgݒtO
    KDDI_ADDR_FIELD_LASTMODIFY,                 // ŏI
    KDDI_ADDR_FIELD_NAME,                       // O
    KDDI_ADDR_FIELD_YOMI,                       // ǂ
    KDDI_ADDR_FIELD_ADDRESS,                    // Z
    KDDI_ADDR_FIELD_ADDRESSATT,                 // Z
    KDDI_ADDR_FIELD_ZIP,                        // X֔ԍ
    KDDI_ADDR_FIELD_URL,                        // URL
    KDDI_ADDR_FIELD_COMPANY,                    // gD
    KDDI_ADDR_FIELD_DEPARTMENT,                 // 
    KDDI_ADDR_FIELD_PHONE1,                     // dbԍ1
    KDDI_ADDR_FIELD_PHONEATT1,                  // dbԍ1̑
    KDDI_ADDR_FIELD_PHONE2,                     // dbԍ2
    KDDI_ADDR_FIELD_PHONEATT2,                  // dbԍ2̑
    KDDI_ADDR_FIELD_PHONE3,                     // dbԍ3
    KDDI_ADDR_FIELD_PHONEATT3,                  // dbԍ3̑
    KDDI_ADDR_FIELD_EMAIL1,                     // [AhX1
    KDDI_ADDR_FIELD_EMAILATT1,                  // [AhX1̑
    KDDI_ADDR_FIELD_EMAIL2,                     // [AhX2
    KDDI_ADDR_FIELD_EMAILATT2,                  // [AhX2̑
    KDDI_ADDR_FIELD_EMAIL3,                     // [AhX3
    KDDI_ADDR_FIELD_EMAILATT3,                  // [AhX3̑
    KDDI_ADDR_FIELD_GENDER,                     // 
    KDDI_ADDR_FIELD_BIRTHDAY,                   // a
    KDDI_ADDR_FIELD_BLOOD,                      // t^
    KDDI_ADDR_FIELD_CONSTELLATION,              // 
    KDDI_ADDR_FIELD_HOBBY,                      // 
    KDDI_ADDR_FIELD_NOTE,                       // 
    KDDI_ADDR_FIELD_GPS,                        // ʒu
    KDDI_ADDR_FIELD_PHOTO,                      // 摜̕ۑĂt@C
    KDDI_ADDR_FIELD_VOICE,                      // ̕ۑĂt@C
    KDDI_ADDR_FIELD_MAX                         // enum̐
} KDDIAddrFieldType;

//------------------------------------------------------------------------------
//  ړ@̒ʘb̎wɎgp܂B
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_CALL_CHARGE,                           // O̒ʘb
    KDDI_CALL_AMOUNT_CHARGE,                    // ݌vʘb
    KDDI_CALL_CHARGE_TYPE_MAX                   // ʘbނ̍ő吔
} KDDICallChargeType;

//------------------------------------------------------------------------------
//  ړ@̒ʘbԂ̎wɎgp܂B
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_CALL_TIME,                             // O̒ʘb
    KDDI_CALL_AMOUNT_TIME,                      // ݌vʘb
    KDDI_CALL_INFO_TYPE_MAX                     // bԏނ̍ő吔
} KDDICallInfoType;

//------------------------------------------------------------------------------
//  ̎MɎgp܂B
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_INCALL_OME_NO_NOTIFICATION,            // ʒm
    KDDI_INCALL_NO_DISPLAY,                     // \
    KDDI_INCALL_PUBLIC_PHONE,                   // Odb
    KDDI_INCALL_NOT_SUPPORT,                    // T|[g
    KDDI_INCALL_TYPE_MAX                        // enum̐
} KDDIIncallType;

//------------------------------------------------------------------------------
//  ړ@̗ێ܂B
//
//------------------------------------------------------------------------------
typedef struct {
    char           pszPhoneNumber[KDDI_PHONENUMBER_MAX_LENGTH+1];
    JulianType     History;                     // 
    KDDIIncallType IncallType;                  // 
    boolean        bResponse;                   // ʘbtO(TRUE=MʘbȂj
} KDDIHistory;

//------------------------------------------------------------------------------
//  ړ@̗̎wɎgp܂B
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_HISTORY_OUTCALL,                       // ʘb
    KDDI_HISTORY_INCALL,                        // M
    KDDI_HISTORY_TYPE_MAX                       // ނ̍ő吔
} KDDIHistoryType;

//------------------------------------------------------------------------------
//  Mew肷̂Ɏgp܂B
//
//------------------------------------------------------------------------------
typedef enum{
    KDDI_NOTIFICATION_TYPE_CHAT,                // `bg
    KDDI_NOTIFICATION_TYPE_CMAIL,               // C[
    KDDI_NOTIFICATION_TYPE_EMAIL,               // E[
    KDDI_NOTIFICATION_TYPE_EZPLUS,              // ezplusʐM
    KDDI_NOTIFICATION_TYPE_VOICE,               // ʏ풅M
    KDDI_NOTIFICATION_TYPE_MAX                  // enum̐
} KDDINotificationType;




typedef struct _IKDDIPHONESYSTEM IKDDIPHONESYSTEM;

AEEINTERFACE(IKDDIPHONESYSTEM)
{
    INHERIT_IQueryInterface(IKDDIPHONESYSTEM);

    int     (*GetCallInfo)          (IKDDIPHONESYSTEM *po, KDDICallInfoType CallType);
    int     (*GetChargeInfo)        (IKDDIPHONESYSTEM *po, KDDICallChargeType CallChargeType);
    int     (*GetHandSetType)       (IKDDIPHONESYSTEM *po, char *pszIDString);
    int     (*GetHistory)           (IKDDIPHONESYSTEM *po, KDDIHistoryType HistoryType, KDDIHistory* pHistory, uint16 wNumberOfHistories);
    int     (*GetIntensity)         (IKDDIPHONESYSTEM *po);
    int     (*GetMannerMode)        (IKDDIPHONESYSTEM *po);
    int     (*GetMaxVolumeLevel)    (IKDDIPHONESYSTEM *po);
    int     (*GetMyProfile)         (IKDDIPHONESYSTEM *po, KDDIAddrFieldType AddrFieldType, void *pBuffer);
    int     (*GetNumberOfHistories) (IKDDIPHONESYSTEM *po, KDDIHistoryType HistoryType);
    int     (*GetPowerSupplyLevel)  (IKDDIPHONESYSTEM *po);
    int     (*GetSubscriberID)      (IKDDIPHONESYSTEM *po, char *pszIDString);
    int     (*GetVibrationStatus)   (IKDDIPHONESYSTEM *po, KDDIVibrationType VibrationType);
    int     (*GetVolumeLevel)       (IKDDIPHONESYSTEM *po, KDDINotificationType NotificationType);
};


#define     IKDDIPHONESYSTEM_AddRef(po)                         AEEGETPVTBL(po,IKDDIPHONESYSTEM)->AddRef(po)
#define     IKDDIPHONESYSTEM_Release(po)                        AEEGETPVTBL(po,IKDDIPHONESYSTEM)->Release(po)
#define     IKDDIPHONESYSTEM_QueryInterface(po,c,i)             AEEGETPVTBL(po,IKDDIPHONESYSTEM)->QueryInterface(po,c,i)
#define     IKDDIPHONESYSTEM_GetCallInfo(po, CTp)               AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetCallInfo(po, CTp)
#define     IKDDIPHONESYSTEM_GetChargeInfo(po, CCTp)            AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetChargeInfo(po, CCTp)
#define     IKDDIPHONESYSTEM_GetHandSetType(po, pszIDs)         AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetHandSetType(po, pszIDs)
#define     IKDDIPHONESYSTEM_GetHistory(po, HyTp, pHy, wNOHs)   AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetHistory(po, HyTp, pHy, wNOHs)
#define     IKDDIPHONESYSTEM_GetIntensity(po)                   AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetIntensity(po)
#define     IKDDIPHONESYSTEM_GetMannerMode(po)                  AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetMannerMode(po)
#define     IKDDIPHONESYSTEM_GetMaxVolumeLevel(po)              AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetMaxVolumeLevel(po)
#define     IKDDIPHONESYSTEM_GetMyProfile(po, AFTp, pBr)        AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetMyProfile(po, AFTp, pBr)
#define     IKDDIPHONESYSTEM_GetNumberOfHistories(po, HyTp)     AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetNumberOfHistories(po, HyTp)
#define     IKDDIPHONESYSTEM_GetPowerSupplyLevel(po)            AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetPowerSupplyLevel(po)
#define     IKDDIPHONESYSTEM_GetSubscriberID(po, pszIDs)        AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetSubscriberID(po, pszIDs)
#define     IKDDIPHONESYSTEM_GetVibrationStatus(po, VTp)        AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetVibrationStatus(po, VTp)
#define     IKDDIPHONESYSTEM_GetVolumeLevel(po, NTp)            AEEGETPVTBL(po,IKDDIPHONESYSTEM)->GetVolumeLevel(po, NTp)

/*
=======================================================================
  INTERFACES   DOCUMENTATION
=======================================================================
*/

/*=====================================================================

֐: IKDDIPHONESYSTEM_AddRef()

@\:
   ̊֐ IKDDIPHONESYSTEMC^tF[XIuWFNg̎QƃJEg
   ₷B͌ĂяȍꍇɃIuWFNgL邱Ƃe
   BIuWFNg͎QƃJEgOi[jɒBƂɉB
   IKDDIPHONESYSTEM_Release()QƂ̂ƁB

vg^Cv:
   uint32  IKDDIPHONESYSTEM_AddRef
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^

߂l:
   ̃IuWFNgɑ΂QƃJEg

:
   IuWFNgLłΐ̒lԂ

p:
   Ȃ

֘A:
   IKDDIPHONESYSTEM_Release()

=======================================================================

֐: IKDDIPHONESYSTEM_GetCallInfo()

@\:
   ړ@̒ʘbԁC݌vʘbԂ擾܂D

vg^Cv:
   int IKDDIPHONESYSTEM_GetCallInfo
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM,
      KDDICallInfoType   CallType
   )

p[^:
   pIKDDIPHONESYSTEM [in]   IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   CallType          [in]   擾̎

߂l:
   ʘbԂ̒l         ʘb񂪐Ɏ擾łƂiPʂ͕bj
   KDDI_EBADPARAM       sȏꍇ
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetChargeInfo()

@\:
   ړ@̒O̒ʘbC݌vʘb擾܂

vg^Cv:

   int IKDDIPHONESYSTEM_GetChargeInfo
   (
      IKDDIPHONESYSTEM      *pIKDDIPHONESYSTEM,
      KDDICallChargeType     CallChargeType
   )

p[^:
   pIKDDIPHONESYSTEM [in]   IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   CallChargeType    [in]   擾̎

߂l:
   ʘb̒l         ʘb񂪐Ɏ擾łƂiPʂ͉~j
   KDDI_EBADPARAM       sȏꍇ
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetHandSetType()

@\:
   ړ@̌^Ԃ̎擾s܂D

vg^Cv:
   int IKDDIPHONESYSTEM_GetHandSetType
   (
      IKDDIPHONESYSTEM      *pIKDDIPHONESYSTEM,
      char                  *pszIDString
   )

p[^:
   pIKDDIPHONESYSTEM [in]   IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   pszIDString       [in]   ^Ԃi[邽߂̗̈ւ̃|C^

߂l:
   KDDI_SUCCESS         
   KDDI_EFAILED         LȌ^ԃf[^擾łȂꍇ
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   pszIDStrinǵC"KDDI-"̌ɁC[JR[hQC@R[hQCŌ
   I[imtkkjŏI܂DpszIDString̍ő啶񒷂͏I[܂߂
   KDDI_PHONEID_LENGTH+1łD

   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetHistory()

@\:
   ړ@̏̒ʘbCM擾܂D

vg^Cv:
   int IKDDIPHONESYSTEM_GetHistory
   (
      IKDDIPHONESYSTEM      *pIKDDIPHONESYSTEM,
      KDDIHistoryType         HistoryType,
      KDDIHistory             History[],
      uint16                  wNumberOfHistories
   )

p[^:
   pIKDDIPHONESYSTEM        IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   HistoryType              ̎
   History[]                i[邽߂KDDIHistory\̂̔z
   wNumberOfHistories       i[̈ɕۑ\Ȍ

߂l:
   Oȏ               ̌
   KDDI_EFAILED         ̎擾Ɏsꍇ
   KDDI_EBADPARAM       sȏꍇ
   KDDI_EMOREHITORIES   ̐mۂꂽ̈̐葽
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   IKDDIPHONESYSTEM_GetNumberOfHistories()ŁCʘb͒M̌擾C
   i[邽߂̗̈mۂĂC{֐Ăяo܂D
   CIKDDIPHONESYSTEM_GetNumberOfHistories()œLȗ𐔂́AAPIĂ
   o_Ɠłۏ؂͂܂
   ߂lKDDI_EMOREHITORIES̏ꍇCHistory[]ɂ́Cw肳ꂽ̍ŐV̗
   i[܂D
   History[]́Cz̃CfbNX傫قǌÂłD

   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   IKDDIPHONESYSTEM_GetNumberOfHistories()

=======================================================================

֐: IKDDIPHONESYSTEM_GetIntensity()

@\:
   ݂̓dEx擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetIntensity
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^

߂l:
   KDDI_INTENSITY_NONE      O    iO\ɑj
   KDDI_INTENSITY_LOW       dE  ipicts̃Aeio[FO{ɑj
   KDDI_INTENSITY_MIDDLE    dE  ipicts̃Aeio[FP{ɑj
   KDDI_INTENSITY_HIGH      dE  ipicts̃Aeio[FQ{ɑj
   KDDI_INTENSITY_MAX       dEŋipicts̃Aeio[FR{ɑj
   KDDI_EUNSUPPORT          T|[gĂȂ
   KDDI_EFAILED             擾s

:
   T|[gĂȂꍇ́CKDDI_EUNSUPPORT Ԃ܂

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetMannerMode()

@\:
   }i[[hݒ̗LȄ擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetMannerMode
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^

߂l:
   KDDI_MANNERMODE_OFF  }i[[hnee̐ݒ
   KDDI_MANNERMODE_ON   }i[[hnm̐ݒ
   KDDI_EFAILED         擾s
   KDDI_EUNSUPPORT      T|[gĂȂ

:
   T|[gĂȂꍇ́CKDDI_EUNSUPPORT Ԃ܂D
   TCgAobOCAhCuAIWỉ炩̃}i[[h̐ݒ肪
   ONł΁CKDDI_MANNERMODE_ONԂ܂

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetMaxVolumeLevel()

@\:
   M̍ő剹ʃx擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetMaxVolumeLevel
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^

߂l:
   Oȏ               ő剹ʃxiiKMAXlj
   KDDI_EFAILED         擾s
   KDDI_EUNSUPPORT      T|[gĂȂ

:
   ʃx́COȏ̐łD傫قǁC剹ʂł

p:
   Ȃ

֘A:
   IKDDIPHONESYSTEM_GetVolumeLevel()

=======================================================================

֐: IKDDIPHONESYSTEM_GetMyProfile()

@\:
   w肳ꂽvtB[́Cړ@̃[UiLҁjvtB[擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetMyProfile
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM,
      KDDIAddrFieldType  AddrFieldType,
      void              *pBuffer
   )

p[^:
   pIKDDIPHONESYSTEM [in]   IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   AddrFieldType     [in]   w肷tB[h
   pBuffer           [out]  w̃vtB[i[邽߂̗̈ւ̃|C^

߂l:
   KDDI_SUCCESS         vtB[Ɏ擾łƂ
   KDDI_EBADPARAM       p[^ُ
   KDDI_EBADPROFILE     vtB[񂪕sȂƂ
   KDDI_EUNSUPPORTED    ړ@ŃT|[gĂȂƂ
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   vt@Cf[^̐ݒ́Cړ@ Native C^tF[XŐݒł܂D
   {֐Ŏ擾\ȏ́CL̃oCKDDIAddrRecord\̂̃oŁC
   f[^̊i[ɕKvȗ̈̑傫́CYȏ傫ƓłD

   AddrFieldTypeɎgpłȂ́ibłDʓr肳܂j
        KDDI_ADDR_FIELD_MEMORYNO    ԍ
        KDDI_ADDR_FIELD_GROUPNO     O[vԍ
        KDDI_ADDR_FIELD_SECRET      V[NbgݒtO
        KDDI_ADDR_FIELD_LASTMODIFY  ŏI
        KDDI_ADDR_FIELD_PHONE2      dbԍ2
        KDDI_ADDR_FIELD_PHONEATT2   dbԍ2̑
        KDDI_ADDR_FIELD_PHONE3      dbԍ3
        KDDI_ADDR_FIELD_PHONEATT3   dbԍ3̑
        KDDI_ADDR_FIELD_EMAIL2      [AhX2
        KDDI_ADDR_FIELD_EMAILATT2   [AhX2̑
        KDDI_ADDR_FIELD_EMAIL3      [AhX3
        KDDI_ADDR_FIELD_EMAILATT3   [AhX3̑

   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetNumberOfHistories()

@\:
   ړ@̏̒ʘb͒M̌擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetNumberOfHistories
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM,
      KDDIHistoryType    HistoryType
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   HistoryType          ̎

߂l:
   Oȏ               ̌
   KDDI_EFAILED         ̌擾Ɏsꍇ
   KDDI_EBADPARAM       sȏꍇ
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   M̌擾邩CM̌擾邩́CHistoryTypeŌ肵܂

   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetPowerSupplyLevel()

@\:
   ݂̓drcʏ񂨂я[d̏擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetPowerSupplyLevel
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^

߂l:
   KDDI_POWERSUPPLY_EMPTY       Ȃ
   KDDI_POWERSUPPLY_LOW         cʏ
   KDDI_POWERSUPPLY_MIDDLE      cʒ
   KDDI_POWERSUPPLY_HIGH        cʑ
   KDDI_POWERSUPPLY_CHARGING    [d
   KDDI_EFAILED                 擾s
   KDDI_EUNSUPPORT              T|[gĂȂ

:
   T|[gĂȂꍇ́CKDDI_EUNSUPPORT Ԃ܂
   ߂lŎ擾łdrcʂ͖̏ڈłD

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetSubscriberID()

@\:
   ړ@̊ǗID̎擾s܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetSubscriberID
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM,
      char              *pszIDString
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   pszIDString          SubscriberIDi[邽߂̗̈ւ̃|C^

߂l:
   KDDI_SUCCESS         
   KDDI_EFAILED         LȊǗhc擾łȂꍇ
   KDDI_EPRIVLEVEL      xݒ肳ĂȂꍇ

:
   SubscriberIDi[̈́CKDDI_SUBSCRIBERID_LENGTH+1̑傫Kvł

   ̂`ohgpɂ́u`v͑SĂ̓xݒ肷
   Kv܂B

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetVibrationStatus()

@\:
   ړ@̃oCu[^foCX݂̌̐ݒԂ擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetVibrationStatus
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM,
      KDDIVibrationType  VibrationType
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   VibrationType        擾oCu[^̑̎

߂l:
   Oȏ               foCX̐ݒԁiVibrationType̒lɈˑ܂j
   KDDI_EUNSUPPORT      T|[gĂȂ

:
   ړ@̃T|[g̗ĹCVibrationType ̒l KDDI_VIBRATOR_ONOFF ɐݒ肵āC
   NO_SUPPORTԂ邩ǂŔ肵܂D
   w肳ꂽݒ܂͖T|[g̏ꍇCKDDI_EUNSUPPORT Ԃ܂D

   VibrationType ̒l KDDI_VIBRATION_ONOFF ̏ꍇCȉ̒lԂ܂D
        KDDI_VIBRATION_ON       Unm
        KDDI_VIBRATION_OFF      Unee
        KDDI_EUNSUPPORT         T|[gĂȂ

   VibrationType ̒l KDDI_VIBRATION_PATERN ̏ꍇCȉ̒lԂ܂D
   iUp^[̋KKDDI JAVA Phase2ɏ܂j
        KDDI_VIBRATION_PATTERN1
        KDDI_VIBRATION_PATTERN2
        KDDI_VIBRATION_PATTERN3
        KDDI_VIBRATION_PATTERN4
        KDDI_VIBRATION_PATTERN5
        KDDI_VIBRATION_PATTERN6
        KDDI_VIBRATION_PATTERN7
        KDDI_VIBRATION_PATTERN8
        KDDI_VIBRATION_DEFAULT_PATTERN
        KDDI_EUNSUPPORT          T|[gĂȂ

p:
   Ȃ

֘A:
   Ȃ

=======================================================================

֐: IKDDIPHONESYSTEM_GetVolumeLevel()

@\:
   w肳ꂽMʂ́Cݐݒ肳Ă钅M̉ʃx擾܂

vg^Cv:
   int IKDDIPHONESYSTEM_GetVolumeLevel
   (
      IKDDIPHONESYSTEM      *pIKDDIPHONESYSTEM,
      KDDINotificationType   NotificationType
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^
   NotificationType     M̎

߂l:
   Oȏ               ʃx
   KDDI_EFAILED         擾s
   KDDI_EBADPARAM       p[^ls
   KDDI_EUNSUPPORTED    T|[gĂȂ

:
   ʃx́COȏ̐łD傫قǁC剹ʂł

p:
   Ȃ

֘A:
   IKDDIPHONESYSTEM_GetMaxVolumeLevel()

=======================================================================

֐: IKDDIPHONESYSTEM_Release()

@\:
   ̊֐ IKDDIPHONESYSTEM C^tF[XIuWFNg̎QƃJEg
   炷BQƃJEgOi[jɒBAIuWFNg̓
   AƂȂB

vg^Cv:
   uint32 IKDDIPHONESYSTEM_Release
   (
      IKDDIPHONESYSTEM  *pIKDDIPHONESYSTEM,
   )

p[^:
   pIKDDIPHONESYSTEM    IKDDIPHONESYSTEMC^tF[XIuWFNgւ̃|C^

߂l:
   QƃJEg         ̃IuWFNgɑ΂QƃJEg
   Oi[j           IuWFNgɊJꖳƂȂĂꍇ

:
   Ȃ

p:
   Ȃ

֘A:
   IKDDIPHONESYSTEM_AddRef()

=======================================================================
*/

#endif //_KDDIPHONESYSTEM_H_
