#ifndef _KDDIPPP_H_
#define _KDDIPPP_H_
/*======================================================
FILE:  KDDIPPP.h

SERVICES:  KDDI PPP Interface

DESCRIPTION:
   This file provides the interface specification for
   the KDDI PPP Interface

CLASS IDs:

NOTES:

DISTRIBUTION:
   This file is given in source to KDDI by Qualcomm

        Copyright  1999-2001 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/

#include "AEE.h"
#include "IKDDIPPP.BID"

typedef struct _IKDDIPPP IKDDIPPP;

//********************************************************************************************************************************
//
// IKDDIPPP Interface Definition
//
//********************************************************************************************************************************

AEEINTERFACE(IKDDIPPP)
{
   INHERIT_IQueryInterface(IKDDIPPP);
   int (*SetInfo)(IKDDIPPP *pIKDDIPPP, char *pszIDstr, char *pszPasswd);
};

#define IKDDIPPP_AddRef(po)             AEEGETPVTBL(po,IKDDIPPP)->AddRef(po)
#define IKDDIPPP_Release(po)            AEEGETPVTBL(po,IKDDIPPP)->Release(po)
#define IKDDIPPP_QueryInterface(po,c,i) AEEGETPVTBL(po,IKDDIPPP)->QueryInterface(po,c,i)
#define IKDDIPPP_SetInfo(po,pID,pP)     AEEGETPVTBL(po,IKDDIPPP)->SetInfo(po,pID,pP)

/*
=======================================================================
  INTERFACES   DOCUMENTATION
=======================================================================


=======================================================================

֐: IKDDIPPP_AddRef()

@\:
   ̊֐IKDDIPPPC^tF[XIuWFNg̎QƃJEg𑝂₷B
   ͌ĂяȍꍇɃIuWFNgL邱ƂeB
   IuWFNg͎QƃJEgOi[jɒBƂɊJB
   IKDDIPPP_Release()QƂ̂ƁB

vg^Cv:
   uint32 IKDDIPPP_AddRef(IKDDIPPP *pIKDDIPPP)

p[^:
   pIKDDIPPP        IKDDIPPPC^tF[XIuWFNgւ̃|C^

߂l:
   ̃IuWFNgɑ΂QƃJEg

:
   IuWFNgLłΐ̒lԂ

p:
   Ȃ

֘A:
   IKDDIPPP_Release()

=======================================================================

֐: IKDDIPPP_Release()

@\:
   ̊֐IKDDIFPPPC^tF[XIuWFNg̎QƃJEg炷B
   QƃJEgOi[jɒBAIuWFNg̓JA
   ƂȂB

vg^Cv:
   uint32 IKDDIPPP_Release(IKDDIPPP *pIKDDIPPP)

p[^:
   pIKDDIPPP        IKDDIPPPC^tF[XIuWFNgւ̃|C^

߂l:
   QƃJEg     ̃IuWFNgɑ΂QƃJEg
   Oi[j       IuWFNgɊJꖳƂȂĂꍇ

:
   Ȃ

p:
   Ȃ

֘A:
IKDDIPPP_AddRef()

=======================================================================

֐: IKDDIPPP_SetInfo()

@\:
   PPPڑɕKvIDƃpX[hݒ肵܂D

vg^Cv:
   int IKPPP_SetInfo
   (
      IKDDIPPP      *pIKDDIPPP,
      char          *pszIDstr,
      char          *pszPasswd
   )

p[^:
   pIKDDIPPP        IKDDIPPPC^tF[XIuWFNgւ̃|C^
   pszIDstr         IDւ̃|C^
   pszPasswd        pX[hւ̃|C^

߂l:
   SUCCESS          ɐݒ肳ꂽꍇ
   KDDI_EFAILED     s

:
   IKDDIPPPC^[tF[X[XƁCݒ肵l͖ƂȂD

p:
   Ȃ

֘A:
   Ȃ

=======================================================================*/


#endif //_KDDIPPP_H_
